CURLSHOPT_USERDATA(3)

NAME
CURLSHOPT_USERDATA - pointer passed to the lock and unlock mutex callbacks

SYNOPSIS
#include <curl/curl.h>
CURLSHcode curl_share_setopt(CURLSH *share, CURLSHOPT_USERDATA, void *ptr);

DESCRIPTION
The ptr parameter is held verbatim by libcurl and is passed on as the userptr argument to the callbacks set with CURLSHOPT_LOCKFUNC(3) and CURLSHOPT_UNLOCKFUNC(3).

PROTOCOLS
All

EXAMPLE
  CURLSHcode sh;
  struct secrets private_stuff;
  share = curl_share_init();
  sh = curl_share_setopt(share, CURLSHOPT_USERDATA, &private_stuff);
  if(sh)
    printf("Error: %s\n", curl_share_strerror(sh));

AVAILABILITY
Added in 7.10

RETURN VALUE
CURLSHE_OK (zero) means that the option was set properly, non-zero means an error occurred. See libcurl-errors(3) for the full list with descriptions.

SEE ALSO
CURLSHOPT_LOCKFUNC(3), curl_share_setopt(3), curl_share_cleanup(3), curl_share_init(3)